export function errorToString(e: any): string { // eslint-disable-line @typescript-eslint/no-explicit-any
	if (typeof e == 'string') {
		return e;
	} else if (e.toString) {
		return e.toString() as string;
	} else {
		return 'Unknown error';
	}
}

export function normalize(text: string, maxLength: number, oneLine: boolean) {
	if (oneLine) text = text.replaceAll('\n', '');
	text = text.substring(0, maxLength);
	return text;
}

export function normalizeQuantity(text: string) {
	let quantity = parseInt(text);

	if (isNaN(quantity) || quantity < 0) {
		return 1;
	}

	return quantity;
}

function clamp(value: number, min: number, max: number) {
	return Math.min(Math.max(value, min), max);
};

export function normalizeRating(text: string) {
	let rating = parseInt(text);

	if (isNaN(rating)) {
		return 1;
	}

	return clamp(rating, 0, 5);
}